PERTALIFE - Bug #2741

perubahan icon struktur OM yang berhubungan dengan pelamar di port erecruitment
05/08/2024 11:35 AM - Regina Tasya

Status: Closed Start date: 05/08/2024
Priority: High Due date: 05/24/2024
Assignee: Regina Tasya % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.00 hours
Description

Dear masa Shofwan,

Mohon bantuannya terkait perubahan tampilan icon di struktur organisasi bagian object tree, dimana saat ini permasalahannya, jika
pelamar baru mengapply job di port erecruitment, tampilan icon pada OM yang sebelum ada pelamar yang mengapply masih berupa
icon orang (cthnya posisi developer yang ada dicth gambar dibawah ini), kemudian setelah terdapat pelamar berubah menjadi icon
pesawat (cth posisi CS), dan dari hasil diskusi tadi, dimana seharusnya tetap menampilkan icon orang Dan tidak ada dropdownnya,
jika posisi tersebut masih kosong, untuk contohnya pelamar yg melamar di posisi Customer Service, posisi tersebut seharusnya icon
di CS masih bergambar orang, dan tidak berubah menjadi pesawat beserta dropdownnya, kemudian untuk history pelamar tetap
masuk di tab relation dan tidak merubah apapun di tampilan object treenya.

contoh gambar dibawah ini :

Object Tree [[n] Object Class Abbr -
7 Job posisi pertalife 00000254 n] PF i
¢ Customer Service 00000727 P CS z

8 Developer 00000726 P DV i

2 testing 00000285 D ts

untuk logo organization dan position tetap sama, untuk employee iconnya :

[

terima kasih
Port: http://remote.minovais.com:61115/
port: erec :http://remote.minovais.com:64115/

Server: remote.minovais.com,1452
DB: MinovaES_Pertalife_Prod

menu : hr - OM - Organization structure

History

#1 - 05/13/2024 03:33 PM - Kezia Pawitra Yulianti
- Due date set to 05/17/2024
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 05/22/2024 09:24 AM - Regina Tasya
- Due date changed from 05/17/2024 to 05/24/2024

#3 - 05/24/2024 10:32 AM - shofwan shiddiq
- File clipboard-202405241030-ydI9r.png added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Regina Tasya

Sudah di ubah icon nya sesuai dengan klasifikasi Object Class

Search Tree

Object Tree [[n] Object Class Abbr
7 Direktorat Kepatuhan 00000003 9] 4000
7 Direktorat Keuangan .. 00000004 0] 3000
+ Dana Pensiun Lemba... 00000005 0] &000
+ Appointed Actuary 00000013 0] 2100
* Chief of Internal Audit.. 00000009 0 2200
+ Group of Corporate S.. 00000025 0] 2310
 UNITHEAD TES 00000094 0 UNIT HEAD T...
¥ STAFFTES 00000095 0] STAFFTES
8 STAFFTES 00000343 P STAFF TES
§ LiLAC 09901020 E
+ UNIT HEAD TES 00000342 P UNIT HEAD T...

Update:

Start Date

19000101
12000101
19000101
19000101
19000101
19000101
20201020
20201020
20201020
20201020
20201020

View: C:\ClientManagement\PERTALIFE\Production\UNapp\view\orm\manage.js

CSS Style: C:\ClientManagement\PERTALIFE\Production\UNThemes\Default\assets\css\styles.css

End Date

99991231
99991231
99991231
99991231
99991231
99991231
99991231
99991231
90991231
99991231
99991231

Vacant Status View Edit

Image Souce: C:\ClientManagement\PERTALIFE\Production\UNThemes\Default\assets\css\images\tree\employee.png

#4 - 05/28/2024 02:07 PM - Regina Tasya
- Status changed from QA Test to Closed

Files

clipboard-202405081039-4aufv.png 16.6 KB 05/08/2024 Regina Tasya

man_3439472.png 6.02 KB 05/08/2024 Regina Tasya

clipboard-202405241030-ydI9r.png 69.3 KB 05/24/2024 shofwan shiddiq
